import React, { useContext } from "react";

import {
  Route,
  Redirect,
} from 'react-router-dom'
import { userContext } from "../../api/SwaggerApi";

export default function ProtectedRoute({ children, ...rest}) {
  const {user} = useContext(userContext);
  console.log(user);
  console.log(children);
  return (
    <Route {...rest} render={({location}) => {
      return user ? children
        : <Redirect to={{
          pathname: '/login',
          state: { from: location }
        }} />
    }} />
  )
}