import { Given, When, Then } from "cypress-cucumber-preprocessor/steps";

const baseUrl = 'http://localhost:3000'

Given('the user is not authenticated', () => {
    cy.clearCookies();

    cy.request({
        url: baseUrl+'/api/v1/getHelper/userInfo', 
        failOnStatusCode: false
    })
  .should((response) => {
    expect(response.status).to.eq(401)
  })
})

When('the user opens the application', () => {
  cy.visit(baseUrl);
})

Then('the user should be redirected to the login page', () => {
    
    cy.get('.MuiDialog-root', { timeout: 9000 }).find('#password');
    cy.get('.MuiDialog-root', { timeout: 9000 }).find('#username');
})

