import React from "react";
import { Redirect } from "react-router-dom";
import { IOCCreateDialog } from "./IOCCreateDialog";

// Process component
export function CreateIOC({ open, setOpen, submitCallback, hook, title, buttonText, isUpdateIoc, init={}}) {
  const [ioc, action] = hook();

  if (!ioc) {
    return (<IOCCreateDialog open={open} setOpen={setOpen} submitCallback={action} />);
  }
  else {
    submitCallback(); // This works but throws a warning because I am changing state in the parent while the child is rerendering. Not sure yet how to fix.
    return (<Redirect to={`/iocs/${ioc.id}`} push />);
  }
}