import React from "react";
import { IconBadge } from "../common/Badge/IconBadge";
import { IOCStatusIcon } from "./IOCIcons";
import IOCGitExporter from "./IOCGitExporter";

export function IOCBadge({ ioc }) {
  return (
    <IconBadge icon={<IOCStatusIcon ioc={ioc} />} secondaryIcon={<IOCGitExporter isDirty={ioc.dirty} hasLocalCommits={ioc.hasLocalCommits} shrink='25%'/>} title={ioc.namingName ?? ioc.name} subheader={ioc.host || "---"} />
  )
}