import React, { useContext } from "react";
import { Redirect, useLocation } from "react-router";
import { userContext } from "../../api/SwaggerApi";
import Login from "../../components/auth/Login";

export function LoginView() {
  const { user, login } = useContext(userContext);
  const { state } = useLocation();

  console.log(user, login);
  if (user) {
    console.log("redirect")
    return <Redirect to={state?.from || '/'} />;
  }
  else {
    console.log("render")
    return login && (
      <div data-testid="login-view">
        <Login auth={login} />
      </div>
    );
  }
}